using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Train
{
    public class TrainRecordViewResponse:IViewResponse
    {
        /// <summary>
        /// 培训编码
        /// </summary>
        [Description("培训编码")]
        public string TrainCode { get; set; }

        /// <summary>
        /// 培训标题
        /// </summary>
        [Description("培训标题")]
        public string TrainName { get; set; }

        /// <summary>
        /// 培训开始时间
        /// </summary>
        [Description("培训开始时间")]
        public DateTime TrainStartTime { get; set; }

        /// <summary>
        /// 培训结束时间
        /// </summary>
        [Description("培训结束时间")]
        public DateTime TrainEndTime { get; set; }


        /// <summary>
        /// 是否完成培训
        /// </summary>
        [Description("是否完成培训")]
        public bool IsComplete { get; set; }

        /// <summary>
        /// 是否完成培训
        /// </summary>
        [Description("是否完成培训")]
        public string IsCompleteDes
        {
            get
            {
                return (IsComplete ? 1 : 0).ToEnum<ECheck>().GetDescription();
            }
        }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public EPublicStatus Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }
    }
}
